//
// Module: RmfMaker
// Author: Richard Saxton 
//
// Description: Creates an ARF using arfgen
//
// Modifications: See ChangeLog
//
#ifndef RmfMaker_H
#define RmfMaker_H

/* General classes */
#include <iostream>

/* SAS-specific classes */
#include <Tracer.h>
#include <metatask.h>
#include <errstr.h>
#include <param.h>

/* Local Classes */

/****************************************************
 *
 * class RmfMaker
 *
 ***************************************************/

class RmfMaker
{
public:

  /* Constructor */
  RmfMaker(string spectrumfile, string rmfset, bool extendedsource);

  /* Destructor */
  ~RmfMaker();

};

#endif

